## system-storage-manager 0.3

=== debian/changelog ===
system-storage-manager (0.3-1) unstable; urgency=low

  * [6a07e49] Imported Upstream version 0.3
  * [e154845] fix vcs links
  * Upload to unstable 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 16 Jun 2013 14:49:58 +0530

system-storage-manager (0.2-1) experimental; urgency=low

  * Initial release. (Closes: #684347)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 09 Aug 2012 19:01:02 +0530

=== debian/rules ===
#!/usr/bin/make -f
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

## system-storage-manager 0.4

=== Makefile ===
all: help

help:
	@echo "Usage: make <target>"
	@echo
	@echo "Available targets are:"
	@echo " help                    show this text"
	@echo " clean                   remove python bytecode and temp files"
	@echo " install                 install program on current system"
	@echo " spec                    prepare changelog for spec file"
	@echo " log                     prepare changelog"
	@echo " authors                 prepare list of authors"
	@echo " docs                    generate up-to-date documentation"
	@echo " source                  create source tarball"
	@echo " test                    run tests/run_tests.py"

check_vars:
ifndef VERSION
	@echo "VERSION variable not defined"
	@exit 1
endif
ifndef PREVIOUS
	@echo "PREVIOUS variable not defined"
	@exit 1
endif

clean:
	@python setup.py clean
	rm -f MANIFEST
	find . -\( -name "*.pyc" -o -name '*.pyo' -o -name "*~" -\) -delete

git-clean:
	git clean -f

install:
	@python setup.py install

spec: check_vars
	@(LC_ALL=C date +"* %a %b %e %Y `git config --get user.name` <`git config --get user.email`> - $(VERSION)"; git log --pretty="format:- %s (%an)" $(PREVIOUS)..HEAD| cat; echo -e "\n\n"; cat CHANGES) > CHANGES.bck; mv CHANGES.bck CHANGES

log: check_vars
	@(LC_ALL=C date +"[%a %b %e %Y] `git config --get user.name` <`git config --get user.email`> - $(VERSION)"; echo; git shortlog -e $(PREVIOUS)..HEAD | cat; git diff --stat $(PREVIOUS)..HEAD | cat) | sed -e 's/@/_O_/g' | less

authors:
	@(echo -e "System Storage Manager was written by:\n\tLukáš Czerner <lczerner@redhat.com>"; echo -e "\nContributions (commits):"; git log --no-merges | grep '^Author:' | sort | uniq -c | sort -rn | sed -e 's/^\s*\([0-9]*\) Author: /\t(\1) /') | sed -e 's/@/_O_/g' > AUTHORS

docs:
	@make dist -C doc

source: test clean
	@python setup.py sdist

test:
	@python test.py

release: git-clean clean check_vars authors spec log docs source

=== debian/changelog ===
system-storage-manager (0.4-1) unstable; urgency=medium

  * [565bd7a] Imported Upstream version 0.4
  * [f9bcfa3] Refresh patch

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 16 Jun 2015 23:02:44 +0530

=== debian/control ===
Source: system-storage-manager
Priority: extra
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper (>= 8.0.0), python (>= 2.6.6-3~), python-argparse
Standards-Version: 3.9.2
Section: utils
Homepage: https://sourceforge.net/p/storagemanager/home/
Vcs-Git: git://anonscm.debian.org/collab-maint/system-storage-manager.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/system-storage-manager.git;a=summary

Package: system-storage-manager
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-argparse, xfsprogs, lvm2, btrfs-tools, dmsetup, cryptsetup-bin
Description: system storage management tool
 System Storage Manager provides an easy to use command line interface to
 manage your storage using various technologies like lvm, btrfs, encrypted
 volumes and more.
 .
 In more sophisticated enterprise storage environments, management with
 Device Mapper (dm), Logical Volume Manager (LVM), or Multiple Devices (md)
 is becoming increasingly more difficult.  With file systems added to the mix,
 the number of tools needed to configure and manage storage has grown so large
 that it is simply not user friendly.  With so many options for a system
 administrator to consider, the opportunity for errors and problems is large.
 .
 You should install the ssm if you need to manage your storage with various
 technologies via a single unified interface.

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,5 @@
 %:
 	dh $@ --with python2
 
+override_dh_auto_clean:
+	[ ! -f Makefile ] || mv -f Makefile Makefile.bak

=== debian/watch ===
version=3
http://sf.net/storagemanager/system-storage-manager-(.*)\.tar\.gz
